[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: automake buglet
From: |
Alexandre Duret-Lutz |
Subject: |
Re: automake buglet |
Date: |
Tue, 05 Aug 2003 11:25:00 +0200 |
User-agent: |
Gnus/5.1002 (Gnus v5.10.2) Emacs/21.3 (gnu/linux) |
>>> "Tom" == Tom Tromey <address@hidden> writes:
Tom> I expected TEXINFO_TEX to override AC_CONFIG_AUX_DIR, but it doesn't:
Thanks. I'm installing this on HEAD and branch-1-7.
2003-08-05 Alexandre Duret-Lutz <address@hidden>
* automake.in (handle_texinfo_helper): Check the user definition
of TEXINFO_TEX before checking for cygnus or AC_CONFIG_AUX_DIR.
* tests/txinfo22.test: New file.
* tests/Makefile.am (TESTS): Add txinfo22.test.
Report from Tom Tromey.
Index: automake.in
===================================================================
RCS file: /cvs/automake/automake/automake.in,v
retrieving revision 1.1365.2.51
diff -u -r1.1365.2.51 automake.in
--- automake.in 30 Jul 2003 16:45:41 -0000 1.1365.2.51
+++ automake.in 5 Aug 2003 09:03:48 -0000
@@ -3870,7 +3870,14 @@
# Handle location of texinfo.tex.
my $need_texi_file = 0;
my $texinfodir;
- if ($cygnus_mode)
+ if (variable_defined ('TEXINFO_TEX'))
+ {
+ # The user defined TEXINFO_TEX so assume he knows what he is
+ # doing.
+ $texinfodir = ('$(srcdir)/'
+ . dirname (&variable_value ('TEXINFO_TEX')));
+ }
+ elsif ($cygnus_mode)
{
$texinfodir = '$(top_srcdir)/../texinfo';
&define_variable ('TEXINFO_TEX', "$texinfodir/texinfo.tex");
@@ -3880,13 +3887,6 @@
$texinfodir = $config_aux_dir;
&define_variable ('TEXINFO_TEX', "$texinfodir/texinfo.tex");
$need_texi_file = 2; # so that we require_conf_file later
- }
- elsif (variable_defined ('TEXINFO_TEX'))
- {
- # The user defined TEXINFO_TEX so assume he knows what he is
- # doing.
- $texinfodir = ('$(srcdir)/'
- . dirname (&variable_value ('TEXINFO_TEX')));
}
else
{
Index: tests/Makefile.am
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.am,v
retrieving revision 1.443.2.36
diff -u -r1.443.2.36 Makefile.am
--- tests/Makefile.am 31 Jul 2003 20:28:17 -0000 1.443.2.36
+++ tests/Makefile.am 5 Aug 2003 09:03:48 -0000
@@ -436,6 +436,7 @@
txinfo17.test \
txinfo18.test \
txinfo19.test \
+txinfo22.test \
transform.test \
unused.test \
vars.test \
Index: tests/Makefile.in
===================================================================
RCS file: /cvs/automake/automake/tests/Makefile.in,v
retrieving revision 1.576.2.59
diff -u -r1.576.2.59 Makefile.in
--- tests/Makefile.in 31 Jul 2003 20:28:17 -0000 1.576.2.59
+++ tests/Makefile.in 5 Aug 2003 09:03:48 -0000
@@ -530,6 +530,7 @@
txinfo17.test \
txinfo18.test \
txinfo19.test \
+txinfo22.test \
transform.test \
unused.test \
vars.test \
Index: tests/txinfo22.test
===================================================================
RCS file: tests/txinfo22.test
diff -N tests/txinfo22.test
--- /dev/null 1 Jan 1970 00:00:00 -0000
+++ tests/txinfo22.test 5 Aug 2003 09:03:48 -0000
@@ -0,0 +1,64 @@
+#! /bin/sh
+# Copyright (C) 2003 Free Software Foundation, Inc.
+#
+# This file is part of GNU Automake.
+#
+# GNU Automake is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2, or (at your option)
+# any later version.
+#
+# GNU Automake is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Automake; see the file COPYING. If not, write to
+# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
+# Boston, MA 02111-1307, USA.
+
+# Make sure the user can override TEXINFO_TEX.
+# Report from Tom Tromey.
+
+required='makeinfo tex'
+. ./defs || exit 1
+
+set -e
+
+cat >>configure.in <<END
+AC_CONFIG_AUX_DIR(aux)
+AC_OUTPUT
+END
+
+cat > Makefile.am << 'END'
+TEXINFO_TEX = tex/texinfo.tex
+info_TEXINFOS = main.texi
+sure_it_exists:
+ test -f $(TEXINFO_TEX)
+END
+
+cat > main.texi << 'END'
+\input texinfo
address@hidden main.info
address@hidden main
address@hidden Top
+Hello walls.
address@hidden
+END
+
+mkdir aux
+mkdir tex
+cp $testsrcdir/../lib/texinfo.tex tex
+
+$ACLOCAL
+$AUTOMAKE --add-missing
+$AUTOCONF
+
+test ! -f texinfo.tex
+test ! -f aux/texinfo.tex
+test -f tex/texinfo.tex
+
+./configure
+$MAKE sure_it_exists
+$MAKE distcheck
--
Alexandre Duret-Lutz
- automake buglet, Tom Tromey, 2003/08/05
- Re: automake buglet,
Alexandre Duret-Lutz <=